summaryrefslogtreecommitdiffstats
path: root/recon/inspect_wifi/plugins/02tplink
diff options
context:
space:
mode:
Diffstat (limited to 'recon/inspect_wifi/plugins/02tplink')
-rwxr-xr-xrecon/inspect_wifi/plugins/02tplink24
1 files changed, 24 insertions, 0 deletions
diff --git a/recon/inspect_wifi/plugins/02tplink b/recon/inspect_wifi/plugins/02tplink
new file mode 100755
index 00000000..522c0845
--- /dev/null
+++ b/recon/inspect_wifi/plugins/02tplink
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Implementation of TP-Link default WPA Key
+# Based on
+# http://www.wardriving-forum.de/forum/f321/ezwlan-android-2-1-a-70045-4.html#post342481
+
+cd $(dirname $(readlink -f $0))
+. ./plugin_core
+
+parse_plugin_args "$@"
+
+if ! check_vendor_mac $VENDOR_MAC F8D111; then
+ echo "$VENDOR_MAC not affected"
+ exit 1
+fi
+
+if echo "$ESSID" | grep -q '^tp'; then
+ echo "$ESSID not affected"
+ exit 1
+fi
+
+
+# printf always makes string to lower, need that for correct md5sum
+printf "${MAC:4:12}"
+exit 0